﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Documents.Fixed.Model;

namespace RadBookPdfViewerInMiddlePages
{
    public class BookDataTemplateSelector : DataTemplateSelector
    {
        public DataTemplate PdfPageTemplate { get; set; }
        public DataTemplate CoverPageTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is RadFixedPage)
            {
                return PdfPageTemplate;
            }
            return CoverPageTemplate;
        }
    }
}
